%define	name	jwhois
%define	version	3.2.3
%define	release	1
%define	prefix	/usr

# set to 0 to have jwhois not replace or conflict with the
# system installed whois.
%define provide_whois 1

Summary:	The GNU Whois client
Name:		%{name}
Version:	%{version}
Release:	%{release}
Prefix:		%{prefix}
License:	GPL
Group:		Applications/Internet
URL:		http://www.gnu.org/software/jwhois
Vendor:		Jonas Oberg <jonas@gnu.org>
Source0:	ftp://ftp.gnu.org/gnu/jwhois/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.gnu.org/gnu/jwhois/%{name}-%{version}.tar.gz.sig
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prereq:		/sbin/install-info
BuildRequires:	gdbm-devel
%{?provide_whois:Obsoletes:	fwhois}
%{?provide_whois:Obsoletes:	whois}

%description
JWHOIS is an Internet Whois client that queries hosts for information
according to RFC 954 - NICNAME/WHOIS. JWHOIS is configured via a
configuration file that contains information about all known Whois servers.
Upon execution, the host to query is selected based on the information
in the configuration file.

The configuration file is highly customizable and makes heavy use of
regular expressions.

%prep
%setup -q

%build
CFLAGS="${RPM_OPT_FLAGS}" \
%configure --prefix=%{prefix} --enable-GROUP=nobody \
	    --localstatedir=%{_localstatedir}/cache/jwhois
%{__make}

%install
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};
%{__make} DESTDIR=${RPM_BUILD_ROOT} install

%{__install} -dp -m0755 ${RPM_BUILD_ROOT}%{_localstatedir}/cache/jwhois
touch ${RPM_BUILD_ROOT}%{_localstatedir}/cache/jwhois/jwhois.db

# Modify and install jwhois.conf
perl -pi -e 's(^#cachefile.*$)(cachefile = "%{_localstatedir}/cache/jwhois/jwhois.db";)g; \
	     s(^#cacheexpire.*$)(cacheexpire = 24;)g' example/jwhois.conf
%{__install} -Dp -m0644 example/jwhois.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/jwhois.conf

%{__rm} ${RPM_BUILD_ROOT}%{_infodir}/dir

%if %{provide_whois}
	ln -s jwhois ${RPM_BUILD_ROOT}%{_bindir}/whois
	%{__install} -Dp -m0644 doc/jwhois.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/whois.1
%endif

%clean
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/jwhois.conf
%attr(6755,nobody,nobody) %{_bindir}/jwhois
%{_mandir}/man1/jwhois.1*
%{_mandir}/*/man1/jwhois.1*
%{_infodir}/jwhois.info*
%{_datadir}/locale/*/LC_MESSAGES/jwhois.mo
%dir %attr(6775,nobody,nobody) /var/cache/jwhois
%ghost %attr(6664,nobody,nobody) /var/cache/jwhois/jwhois.db

%if %{provide_whois}
	%{_bindir}/whois
	%{_mandir}/man1/whois.1*
%endif

%changelog
* Mon Jul 11 2005 Ryan Weaver <ryanw@falsehope.com>
  [jwhois-3.2.3-1]
- Updated jwhois.conf
- Include host name in cache key
- Various bugfixes

* Wed Jul  2 2003 Ryan Weaver <ryanw@falsehope.com>
  [jwhois-3.2.2-1]
- Updated jwhois.conf
- Fixed redirection problem for .org

* Mon Feb  3 2003 Ryan Weaver <ryanw@falsehope.com>
  [jwhois-3.2.1-1]
- Updated jwhois.conf

* Fri May  3 2002 Ryan Weaver <ryanw@falsehope.com>
  [jwhois-3.2.0-1]
- Various bugfixes
- Added advanced rewrite of queries
- Various changes to jwhois.conf

* Thu Jan 10 2002 Ryan Weaver <ryanw@falsehope.com>
  [jwhois-3.1.0-1]
- Various bugfixes
- Added keyword "default" to configuration file format
- Various changes to jwhois.conf

* Mon Dec 03 2001 Ryan Weaver <ryanw@falsehope.com>
  [jwhois-3.0.2-1]
- Various bugfixes.

* Wed Oct 10 2001 Ryan Weaver <ryanw@falsehope.com>
  [jwhois-3.0.1-1]
- Command line option to disable content redirection
- Lots of information added to the example configuration file
- IPv6 failover to IPv4
- Option to display redirections instead of hiding them
- Case insensitive hostname matching
- Introduced new host-specific configuration
- Limited support for rwhois
- Support for sending queries through a web interface via external browser
- Ability to rewrite queries before sending to whois server
- Support for whois-servers.net

* Wed Jan 10 2001 Ryan Weaver <ryanw@infohwy.com>
  [jwhois-2.4.2-1]
- src/lookup.c (find_cidr): Fix for big endian machines
- src/jwhois.c (main): Better handling of cache errors (Pl Lberg)
- example/jwhois.conf: Added .in, .nu (Kandra Nygrds), .hk (Patrick Liu),
  .as (Pl Lberg), .gov.uk (Michael Stevens), .at (Alexander Lehmann)
- src/lookup.c (find_cidr): Match n bits in an /n block instead
  of 32-n (Tom Hughes, Emil LAURENTIU)
- po/ru.po: Added (from Dmitry G. Mastrukov)

* Mon Feb 14 2000 Ryan Weaver <ryanw@infohwy.com>
  [jwhois-2.4.1-2]
- jwhois now runs as user nobody aswell as group nobody so that the
  cached database isn't owned by 'the first user to run jwhois', thus
  affecting their quota. (Thanks to Oren Tirosh <oren@hishome.net>)
- Oren Tirosh <oren@hishome.net> also informed me that since he was the
  first one to make a rpm for jwhois, it was unkind of me to rewrite and
  maintain the rpm for jwhois without as least leaving his rpm changelog
  entries. Sorry Oren, I can no longer locate the old rpms to replace
  your entries.

* Thu Jan 27 2000 Ryan Weaver <ryanw@infohwy.com>
  [jwhois-2.4.1-1]
- example/jwhois.conf: Added more CIDR blocks
  Changed registry for .no and added -NORID handles (from Pl Lberg)
- configure.in: Added generation of jwhois.spec
- Makefile.am (EXTRA_DIST): Added distribution of jwhois.spec
- jwhois.spec.in: Added (from Ryan Weaver)
- src/jwhois.c (make_connect): Output [host]\n -before- doing a
  resolver query (speeds up output so the user doesn't think it's hung)
- src/utils.c (fdread): Check return value from read correctly
- example/jwhois.conf: corrected \. to be \\.

* Mon Jan 24 2000 Ryan Weaver <ryanw@infohwy.com>
  [jwhois-2.4-2]
- Made package relocatable.
- Including available locales now.
- Rewrote spec file.
- Made patch against source to include spec it distribution and sent it
  to the author.

